// file: ngrn_size_0.cc
//

// isip include files
//
#include "ngram_node.h"
#include "ngram_node_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Ngram_node::size_cc() {
  
  // set the size variable
  //
  int_4 size = (int_4)0;

  // add the size of all data
  //
  size += sizeof(Word*);                         // word_d
  size += sizeof(Ngram_node**);                  // next_node_d
  size += sizeof(float_4);                       // lmscore_d
  size += sizeof(float_4);                       // backoff_d
  size += sizeof(int_4);                         // num_next_nodes_d

  // exit gracefully
  //
  return size;
}
